Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class PoolQuery

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.PoolQuery

Deprecated See BEA Commerce product offering

    @Deprecated
    public class PoolQuery

extends Object

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering

Constructor Summary
`PoolQuery()` Deprecated See BEA Commerce product offering

Method Summary
`ItemObject` | `getNextReplyQualifier(int setNumber)` Deprecated See BEA Commerce product offering
`List` | `getNextReplyQualifier(List qualifiers, int setNumber, int count)` Deprecated See BEA Commerce product offering
`ItemObject` | `getNextReplyTarget(int setNumber)` Deprecated See BEA Commerce product offering
`List` | `getNextReplyTarget(List targets, int setNumber, int count)` Deprecated See BEA Commerce product offering
`List` | `getReplyQualifierSets()` Deprecated See BEA Commerce product offering
`List` | `getReplyTargetSets()` Deprecated See BEA Commerce product offering
`List` | `getRequestQualifiers()` Deprecated See BEA Commerce product offering
`List` | `getRequestTargets()` Deprecated See BEA Commerce product offering
`boolean` | `isSatisfied()` Deprecated See BEA Commerce product offering
`void` | `set(List requestQualifiers, List requestTargets)` Deprecated See BEA Commerce product offering
`void` | `setIsSatisfied(boolean value)` Deprecated See BEA Commerce product offering
`protected void` | `setReplyQualifiers(List replyQualifierSets, Set allQualifiers)` Deprecated See BEA Commerce product offering
`protected void` | `setReplyTargets(List replyTargetSets, Set allTargets)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### PoolQuery

    public PoolQuery()

  Deprecated See BEA Commerce product offering

Method Detail

### set

    public void set(List requestQualifiers,
                    List requestTargets)

  Deprecated See BEA Commerce product offering

### setReplyQualifiers

    protected void setReplyQualifiers(List replyQualifierSets,
                                      Set allQualifiers)

  Deprecated See BEA Commerce product offering

### setReplyTargets

    protected void setReplyTargets(List replyTargetSets,
                                   Set allTargets)

  Deprecated See BEA Commerce product offering

### getRequestQualifiers

    public List getRequestQualifiers()

  Deprecated See BEA Commerce product offering

  Returns
    List of QuerySpec objects

### getRequestTargets

    public List getRequestTargets()

  Deprecated See BEA Commerce product offering

  Returns
    List of QuerySpec objects

### getReplyQualifierSets

    public List getReplyQualifierSets()

  Deprecated See BEA Commerce product offering

### getReplyTargetSets

    public List getReplyTargetSets()

  Deprecated See BEA Commerce product offering

### isSatisfied

    public boolean isSatisfied()

  Deprecated See BEA Commerce product offering

### setIsSatisfied

    public void setIsSatisfied(boolean value)

  Deprecated See BEA Commerce product offering

### getNextReplyQualifier

    public ItemObject getNextReplyQualifier(int setNumber)

  Deprecated See BEA Commerce product offering

  Select one item from the qualifier set for this setNumber. Return the one item found or null if no item is available.

### getNextReplyTarget

    public ItemObject getNextReplyTarget(int setNumber)

  Deprecated See BEA Commerce product offering

  Select one item from the qualifier set for this setNumber. Return the one item found or null if no item is available.

### getNextReplyQualifier

    public List getNextReplyQualifier(List qualifiers,
                                      int setNumber,
                                      int count)

  Deprecated See BEA Commerce product offering

  Return null if the count is zero or no more qualifiers exist in the particular set. Otherwise populate the list passed in with up to count objects.

### getNextReplyTarget

    public List getNextReplyTarget(List targets,
                                   int setNumber,
                                   int count)

  Deprecated See BEA Commerce product offering

  Return null if the count is zero or no more targets exist in the particular set. Otherwise populate the list passed in with up to count objects.

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved